Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 131735 - wrong iso8859-1 latin character encoding when log into using gdm and English language
Summary: wrong iso8859-1 latin character encoding when log into using gdm and English ...
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High trivial (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-29 16:24 UTC by hmbr
Modified: 2007-11-04 15:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
gtk.immodules diff (gtk.immodules.diff,177 bytes, text/plain)
2006-04-29 16:29 UTC, hmbr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hmbr 2006-04-29 16:24:56 UTC
hi

I live in brazil, but I usualy use my gentoo in English and I've to write in portuguese

but, when I log in using gdm-2.14 with iso8859-1 and English language, the "c acentuado" error happen, is when the "c" is write with an acute instead of  
Comment 1 hmbr 2006-04-29 16:24:56 UTC
hi

I live in brazil, but I usualy use my gentoo in English and I've to write in portuguese

but, when I log in using gdm-2.14 with iso8859-1 and English language, the "c acentuado" error happen, is when the "c" is write with an acute instead of  ç (cedilla)

to fix this error is simple, just add "en" in the locales list at /etc/gtk-2.0/gtk.immodules

I fixed in my computer, the diff between the old gtk.immodules and the new is show bellow

diff gtk.immodules.old /etc/gtk-2.0/gtk.immodules

14c14
< "cedilla" "Cedilla" "gtk+" "/usr/share/locale" "az:ca:co:fr:gv:oc:pt:sq:tr:wa"
---
> "cedilla" "Cedilla" "gtk+" "/usr/share/locale" "az:ca:co:fr:gv:oc:pt:sq:tr:wa:en"
Comment 2 hmbr 2006-04-29 16:29:00 UTC
Created attachment 85800 [details]
gtk.immodules diff
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2006-04-30 00:34:55 UTC
Don't restrict bugs without any reason, please...
Comment 4 Rémi Cardona gentoo-dev 2006-12-03 11:22:19 UTC
Hi,

Is this still an issue on your system with newer gtk and gdm ?

Maybe you should try using unicode/utf-8 on your system (Fedora and Ubuntu have gone full utf-8 and dropped locales in other encodings).

Thanks

Comment 5 hmbr 2007-11-04 15:26:10 UTC
(In reply to comment #4)
> Hi,
> 
> Is this still an issue on your system with newer gtk and gdm ?
> 
> Maybe you should try using unicode/utf-8 on your system (Fedora and Ubuntu have
> gone full utf-8 and dropped locales in other encodings).
> 
> Thanks
> 

Actually, I discovered that this behavior happens because GTK group choose Ć against Ç when someone is using us-intl, I don't know why, because ç(latin) is more use than ć(polish).

Here(Brazil) we have a huge problem because of ć, and this gkt "feature" is one of kde zealots' arguments against gnome/gtk.